SYNC TOOL REQUIREMENTS

I. Installation Requirements

1.Firewall:

(1) Must allow outbound traffic on port 22000 for SFTP connection
(2) Must whitelist either sftp.beanworks.com or sftp.sagapa.com
We encourage you to use the domain names above - we cannot guarantee that the IPs will always be the same

2. Auto-Updater:
as you are connecting to a SaaS platform, in order to keep your dekstop middleware up to date with our platform, we have an updater tool that must be allowed to:
(1) Run on your system
(2) Reach out to our systems and determine if an update is pending
(3) Update our SyncTool on your system

Auto-updater Whitelist: if you want to lock down the IP addresses that the Auto-Updater can reach out to through your firewall, use the following entries: 

  • 52.95.145.0/24 
  • 52.95.146.0/23 
  • 52.92.84.0/22
    Our auto-updater must be allowed to reach out to our servers to determine if there is a pending update for the client's SyncTool. 

Run as Admin: if you require UAC confirmation when launching a Sage product, you may be required to enable the SyncTool to run as an Administrator to be able to bypass the UAC dialog

 3. ERP Admin:
Our software needs to read and write to your ERP data files, for AP, SYS, and PO functionality. If you are not fully aware of the permissions you need to create a user to enable the functionality we need, we strongly advise that you enter an ERP Admin User as the ERP credentials in the SyncTool

II. Browser
Beanworks works best with modern browsers such as: Google Chrome, Mozilla Firefox, Safari, and Microsoft Edge. We advise that you have the most up-to-date version of your browser installed as some newer functionality in Beanworks may not be available to you in out of date versions of your browsers. 

 III. Your Accounting Software version:
Beanworks' integration with your Accounting Software requires your ERP to be on the newest (-2) version. 

 IV. ERP/Accounting Software specific requirements

  1. QBD 2013 - 2018
  • Minimum Windows: Windows Server 2008
  • .NET Version: 4.5
  • RAM: 4GB
  • HDD: 400 MB
  • ERP Specific Requirements: Tool needs to be authorized as a third party application to access company file as an admin.

2. QBD 2019

  • Minimum Windows: "Windows Server 2016
    Windows 7, 10"
  • .NET Version: 4.7.1
  • RAM: >4GB
  • HDD: 400 MB
  • ERP Specific Requirements: "Tool needs to be authorized as a third party application to access company file as an admin. No other version of Quickbooks can be installed on the same server/network"

3. Sage 50 CA 2014 - 2017

  • Minimum Windows: Windows 7
  • .NET Version: 4.5
  • RAM: 2GB
  • HDD: 400 MB

4. Sage 50 CA 2018+

  • Minimum Windows: "Windows Server 2016
    Windows 7, 10"
  • .NET Version: 4.7.1
  • RAM: 4GB
  • HDD: 400 MB

5. Sage 50 US

  • Minimum Windows: "Windows Server 2012 R2
    Windows Server 2016"
  • .NET Version: 4.6.2
  • RAM: 2GB
  • HDD: 400 MB
  • ERP Specific Requirements: 

"(1) Tool needs to be authorized as a thrid-party application

(2) Company files must be in same location as Sage 50 US and the SyncTool (i.e. integration will not work if Sage 50 US company files are on a network drive)"


6. Sage 50 US 2019+

  • Minimum Windows: "Windows Server 2016
    Windows 7, 10"
  • .NET Version: 4.7.1
  • RAM: 4GB
  • HDD: 400 MB
  • ERP Specific Requirements: 

(1) Tool needs to be authorized as a thrid-party application

(2) Company files must be in same location as Sage 50 US and the SyncTool (i.e. integration will not work if Sage 50 US company files are on a network drive)"


7. Sage 100 Standard, Sage 100 Advanced

  • Minimum Windows: Windows Server 2016, Windows 7, 10
  • .NET Version: 4.5
  • RAM: >4GB
  • HDD: 400 MB
  • ERP Specific Requirements: Must allow UDF creation

8. Sage 100 Premium

  • Minimum Windows: Windows Server 2012 R2, Windows Server 2016
  • .NET Version: 4.6.2
  • RAM: 8GB
  • HDD: 400 MB
  • ERP Specific Requirements: 

(1) Sage 100 Workstation must be installed on server with Sage 100 Premium, and have it's MAS90 directory point the the Sage 100 Pemium directory, and not use ODBC
(2) Must allow UDF creation


9. Sage 300

  • Minimum Windows: Windows Server 2012 R2, Windows Server 2016
  • .NET Version: 4.6.2
  • RAM: 2GB
  • HDD: 400 MB
  • ERP Specific Requirements: Must have Optional Fields module licensed

10. Sage 500

  • Minimum Windows: Windows Server 2012 R2, Windows Server 2016
  • .NET Version: 4.6.2
  • RAM: 2GB
  • HDD: 400 MB
Did this answer your question?